Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Reverb Class Reference

STK abstract reverberator parent class. More...

`#include <Reverb.h>`

Inheritance diagram for Reverb:

List of all members.

## Public Member Functions

| Reverb ()
| Class constructor.
virtual | ~Reverb ()
| Class destructor.
virtual void | clear ()=0
| Reset and clear all internal state.
void | setEffectMix (MY_FLOAT mix)
| Set the mixture of input and "reverberated" levels in the output (0.0 = input only, 1.0 = reverb only).
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | lastOutLeft () const
| Return the last left output value.
MY_FLOAT | lastOutRight () const
| Return the last right output value.
virtual MY_FLOAT | tick (MY_FLOAT input)=0
| Abstract tick function ... must be implemented in subclasses.
virtual MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize inputs, compute the same number of outputs and return them in vector.

## Detailed Description

STK abstract reverberator parent class.

This class provides common functionality for STK reverberator subclasses.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 17 of file Reverb.h.

The documentation for this class was generated from the following file:

- Reverb.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.